Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024354
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-07-17 10:432013-07-24 17:29
ReportersureshbabuView Statuspublic 
Assigned Tomigueldejuana 
PriorityhighResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revision4abc82b73efa
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024354: [MULTI] There is no change in amount to paid as well as well as total amount when the user enters zero amount in Amount to Layaw

DescriptionThere is no change in amount to paid as well as well as total amount when the user enters zero amount in Amount to Layaway popup
Steps To Reproduce1) create a layaway order with below products

Baby Carrier 1(qty) : 110.50
Base Camp duffel 70L: 89.50
Total Gross amount: 200
from menu select Layaway this receitp
Then Pay 100 euros and 100 Euro remaining to pay label appears in the screen
Then click "Layaway " button to close the layaway order

2)Then select the option "Pay Open Tickets" from drop down menu
Then select the above created Layawayorder and click done button

3)Above selected Layaway order appears in the screen, then click the Layaway order to do a partial payment, and then in the popup enter Layaway amount as Zero (0.00), then click Apply button

Defect: There is no change in amount to paid as well as well as total amount when the user enters zero amount in Amount to Layaway popup
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0024352 closedmigueldejuana [MULTI] In Amount to Layaway popup, when the user clicks Apply button without entering any value no warning message appears 

-  Notes
(0060080)
hgbot (developer)
2013-07-17 14:38

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4abc82b73efa991336a4e3744acbc4bb15e7d29b
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Jul 17 14:37:47 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4abc82b73efa991336a4e3744acbc4bb15e7d29b [^]

Fixed issue 24354: Allow to do a 0.00 Layaway payment in multiorders

---
M web/org.openbravo.retail.posterminal/js/components/order.js
M web/org.openbravo.retail.posterminal/js/components/rendermultiorderline.js
---
(0060216)
guilleaer (developer)
2013-07-23 20:31

verified
(0060250)
hgbot (developer)
2013-07-24 13:41

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: 4abc82b73efa991336a4e3744acbc4bb15e7d29b
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Jul 17 14:37:47 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/4abc82b73efa991336a4e3744acbc4bb15e7d29b [^]

Fixed issue 24354: Allow to do a 0.00 Layaway payment in multiorders

---
M web/org.openbravo.retail.posterminal/js/components/order.js
M web/org.openbravo.retail.posterminal/js/components/rendermultiorderline.js
---
(0060275)
guilleaer (developer)
2013-07-24 17:29

reclosing

- Issue History
Date Modified Username Field Change
2013-07-17 10:43 sureshbabu New Issue
2013-07-17 10:43 sureshbabu Assigned To => migueldejuana
2013-07-17 12:30 migueldejuana Relationship added depends on 0024352
2013-07-17 14:38 hgbot Checkin
2013-07-17 14:38 hgbot Note Added: 0060080
2013-07-17 14:38 hgbot Status new => resolved
2013-07-17 14:38 hgbot Resolution open => fixed
2013-07-17 14:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4abc82b73efa991336a4e3744acbc4bb15e7d29b [^]
2013-07-23 20:31 guilleaer Review Assigned To => guilleaer
2013-07-23 20:31 guilleaer Note Added: 0060216
2013-07-23 20:31 guilleaer Status resolved => closed
2013-07-23 20:31 guilleaer Fixed in Version => RMP25
2013-07-24 13:41 hgbot Checkin
2013-07-24 13:41 hgbot Note Added: 0060250
2013-07-24 13:41 hgbot Status closed => resolved
2013-07-24 13:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4abc82b73efa991336a4e3744acbc4bb15e7d29b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/4abc82b73efa991336a4e3744acbc4bb15e7d29b [^]
2013-07-24 17:29 guilleaer Note Added: 0060275
2013-07-24 17:29 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker